/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /tmp/buildd/ros-hydro-pano-ros-2.2.5-1raring-20150515-0807/obj-i686-linux-gnu/devel/share/pano_ros/msg/PanoCaptureGoal.msg
 *
 */


#ifndef PANO_ROS_MESSAGE_PANOCAPTUREGOAL_H
#define PANO_ROS_MESSAGE_PANOCAPTUREGOAL_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace pano_ros
{
template <class ContainerAllocator>
struct PanoCaptureGoal_
{
  typedef PanoCaptureGoal_<ContainerAllocator> Type;

  PanoCaptureGoal_()
    : camera_topic()
    , bag_filename()  {
    }
  PanoCaptureGoal_(const ContainerAllocator& _alloc)
    : camera_topic(_alloc)
    , bag_filename(_alloc)  {
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _camera_topic_type;
  _camera_topic_type camera_topic;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _bag_filename_type;
  _bag_filename_type bag_filename;




  typedef boost::shared_ptr< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> const> ConstPtr;
  boost::shared_ptr<std::map<std::string, std::string> > __connection_header;

}; // struct PanoCaptureGoal_

typedef ::pano_ros::PanoCaptureGoal_<std::allocator<void> > PanoCaptureGoal;

typedef boost::shared_ptr< ::pano_ros::PanoCaptureGoal > PanoCaptureGoalPtr;
typedef boost::shared_ptr< ::pano_ros::PanoCaptureGoal const> PanoCaptureGoalConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::pano_ros::PanoCaptureGoal_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace pano_ros

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': False, 'IsMessage': True, 'HasHeader': False}
// {'sensor_msgs': ['/opt/ros/hydro/share/sensor_msgs/cmake/../msg'], 'actionlib_msgs': ['/opt/ros/hydro/share/actionlib_msgs/cmake/../msg'], 'geometry_msgs': ['/opt/ros/hydro/share/geometry_msgs/cmake/../msg'], 'std_msgs': ['/opt/ros/hydro/share/std_msgs/cmake/../msg'], 'pano_ros': ['/tmp/buildd/ros-hydro-pano-ros-2.2.5-1raring-20150515-0807/obj-i686-linux-gnu/devel/share/pano_ros/msg', '/tmp/buildd/ros-hydro-pano-ros-2.2.5-1raring-20150515-0807/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> >
{
  static const char* value()
  {
    return "d8d56113630df8b56f39dd99ce661288";
  }

  static const char* value(const ::pano_ros::PanoCaptureGoal_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xd8d56113630df8b5ULL;
  static const uint64_t static_value2 = 0x6f39dd99ce661288ULL;
};

template<class ContainerAllocator>
struct DataType< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> >
{
  static const char* value()
  {
    return "pano_ros/PanoCaptureGoal";
  }

  static const char* value(const ::pano_ros::PanoCaptureGoal_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> >
{
  static const char* value()
  {
    return "# ====== DO NOT MODIFY! AUTOGENERATED FROM AN ACTION DEFINITION ======\n\
# Define the goal\n\
# TODO: tf frame \n\
string camera_topic\n\
string bag_filename\n\
";
  }

  static const char* value(const ::pano_ros::PanoCaptureGoal_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.camera_topic);
      stream.next(m.bag_filename);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct PanoCaptureGoal_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::pano_ros::PanoCaptureGoal_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::pano_ros::PanoCaptureGoal_<ContainerAllocator>& v)
  {
    s << indent << "camera_topic: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.camera_topic);
    s << indent << "bag_filename: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.bag_filename);
  }
};

} // namespace message_operations
} // namespace ros

#endif // PANO_ROS_MESSAGE_PANOCAPTUREGOAL_H
